$(function () {

  	$('.button_delete_modal').on('click', function() {

  		var id = $(this).data("id");
  	
  		$('#delete_modal').modal({
  			closable: false,
		    onApprove : function() {
		    	sendDelete(id);
		    }
  		}).modal('show');  
  	});		  

  	function sendDelete(id) {

	    var data = {id_usuario : id};
        $.requestApi('/personal/eliminar', data, 'POST', function (resolve) {
	        if (resolve) {
	        	if (resolve.message === "success") {
                    $('[data-table="'+id+'"]').remove();         
                }
	            $.showMessages(resolve);
	        }
	    });
        
        return false;
	};      

	$('.button_info_modal').on('click', function() {

  		var id = $(this).data("id");
  		var data = {id_usuario : id};
        $.requestApi('/personal/getById', data, 'POST', function (resolve) {
	        if (resolve) {
	        	$('#username').text(resolve.username); 
	        	$('#nombres').text(resolve.nombres); 
	        	$('#apellidos').text(resolve.apellidos); 
	        	$('#dni').text(resolve.dni); 
	        	$('#email').text(resolve.email); 
	        	$('#telefono').text(resolve.telefono); 
	        	$('#domicilio').text(resolve.domicilio); 
	        	$('#fecha_nacimiento').text(resolve.fecha_nacimiento); 
	        	$('#rol').text(resolve.rol ? resolve.rol.nombre : ''); 
	        	$('#local').text(resolve.local ? resolve.local.nombre : ''); 
	        	$("#url_avatar").attr("src", APP_URL+'/'+resolve.url_avatar);
	
	            $('#detalles_modal').modal('show'); 
	        }
	    });
  	});	

  	
});	